/*  
 *  Copyright Droids Corporation, Microb Technology, Eirbot (2005)
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Revision : $Id$
 *
 */

#ifndef _ERROR_CONFIG_
#define _ERROR_CONFIG_ 1.0 // version


#define ERROR_STORE_LAST_ACTIVATED // comment to deactivate storage of the last error (default enabled)
//#define ERROR_STORE_FIRST_ACTIVATED // uncomment to activate storage of the first error (default disabled, auxiliary function)

#define ERROR_SEVERITY_LEVELS  5 // 5 default 

/** actions to do on error. keep short, or call functions
    for calling functions, you can include your .h here.
*/

#define ERROR_ACTION_EMERGENCY( module_num, name)   {  }
#define ERROR_ACTION_ERROR( module_num, name)       {  }
#define ERROR_ACTION_WARNING( module_num, name)     {  }
#define ERROR_ACTION_NOTICE( module_num, name)      {  }
#define ERROR_ACTION_DEBUG( module_num, name)       {  }


/** severity for the general errors */
#define GENERAL_SEVERITY   ERROR_EMERGENCY 


/** define here your user errors, group numbers over 128 please */

// an user error group
#define MYGROUP_NUMBER 128 

// once per error
// this error is called by : ERROR(MYGROUP, ERROREXAMPLE);
#define MYGROUP_ERROREXAMPLE_NUMBER    6                            // error number, choose them incrementally in your group, <>0
#define MYGROUP_ERROREXAMPLE_SEVERITY  ERROR_EMERGENCY              // this is a very serious problem
#define MYGROUP_ERROREXAMPLE_COMMENT   "this is an example error"   // comment, usually not in direct use


#endif // _ERROR_CONFIG_
