/*  
 *  Copyright Droids Corporation, Microb Technology, Eirbot (2005)
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Revision : $Id: i2c_buffer.h,v 1.2 2005-04-23 17:23:19 zer0 Exp $
 *
 */

#ifndef _I2C_BUFFER_H_
#define _I2C_BUFFER_H_

#include<i2c/i2cm_genric.h>
#include<i2c/i2cs_genric.h>

/* init func */
void i2c_buffer_init(void);

#ifdef I2C_MASTER
/** send a buffer, return 0 if transmission starts */
u08 i2c_send(u08 slave, u08 * data, u08 size);

/** send a buffer, return 0 if transmission starts */
u08 i2c_scan(u08 slave);
#endif

#ifdef I2C_SLAVE
/** send a buffer, return 0 if transmission starts */
u08 i2c_send(u08 * data, u08 size);
#endif

/** register event when receiving a buffer */
void i2c_register_recv_event(void (*event)(u08 *, u08));

/** register event when transmit complete */
void i2c_register_send_event(void (*event)(u08));

#endif
